Bug 87639 - [55cat] RE loses Generic type for attribites\operations\arguments from nested classe
[55cat] RE loses Generic type for attribites\operations\arguments from nested...
Status: VERIFIED FIXED
Product: uml
Classification: Unclassified
Component: Reverse Engineering
5.x
All All
: P2 (vote)
: 6.x
Assigned To: Viktor Lapitski
issues@uml
55uml_beta_rn, EXT-USER, JAVA5
: RELNOTE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-20 14:04 UTC by Alexandr Scherbatiy
Modified: 2007-10-19 21:05 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Generic types are missed snapshot (138.86 KB, image/png)
2006-10-20 14:08 UTC, Alexandr Scherbatiy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr Scherbatiy 2006-10-20 14:04:47 UTC
Steps to reproduce:

- Reverse Engineer the java code into UML project:
  ---------------------------------------------------------
  package pack;
  public class MyClass<Element> {    
    class Nested{    
        Element element;
    }
  }
  ---------------------------------------------------------
- Go to the UML project
- Expand 'pack|MyClass|Nested' class element
  'Nested' class element has 'package element' instead of
  'package Element element'. 
  Generic type is missed for the attribute.

 See attached snapshot.
Comment 1 Alexandr Scherbatiy 2006-10-20 14:08:24 UTC
Created attachment 35416 [details]
Generic types are missed snapshot
Comment 2 Alexandr Scherbatiy 2006-10-20 14:39:32 UTC
Re the following code:
  ---------------------------------------------------------
  package pack;
  public class MyClass<Element> {
    class Nested{
        Element element;
        Element getElement(){
            return element;
        }
        void setElement(Element element){
        }
    }
  }
  ---------------------------------------------------------

The 'Element' type is missed for the attribite, for the operation return type
and for the operation argument
Comment 3 Kris Richards 2006-12-18 19:04:39 UTC
this will be addressed when our parser technology is changed.
Comment 4 Peter Lam 2007-02-27 23:56:08 UTC
from user survey
Comment 5 Peter Lam 2007-02-28 19:15:38 UTC
This issue should be fixed in this release if low risk and possible. Otherwise,
it can be waived for this release.
No workaround
Comment 6 Trey Spiva 2007-03-06 16:49:38 UTC
This is an issue that still needs to be fixed.
Comment 7 Joseph Silber 2007-09-10 13:17:50 UTC
release note added
Comment 8 Viktor Lapitski 2007-10-06 04:28:01 UTC
fixed. 
Comment 9 Sherry Zhou 2007-10-09 23:12:08 UTC
Verified in trunk build 20071009122010


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo